<xml> </xml>

SOLIDWORKS PDM Professional API Help | Send Feedback
GetRevisionNumberComponents2 Method (IEdmRevisionMgr2)
See Also Example

Collapse All Expand All Language Filter: All Language Filter: Multiple Language Filter: Visual Basic Language Filter: C# Language Filter: C++/CLI

EPDM.Interop.epdm Namespace > IEdmRevisionMgr2 Interface : GetRevisionNumberComponents2 Method (IEdmRevisionMgr2)

Visual Basic
C#
C++/CLI

oNameIDorEmpty
  Name or ID of revision number component to retrieve, null to retrieve all components (see Remarks)

ppoRetData
  Array of EdmRevComponent2 structures; one structure for each revision number component

Gets the specified revision number components in the vault.

# Syntax

Visual Basic |
--- | ---

    Sub GetRevisionNumberComponents2( _
       ByVal oNameIDorEmpty As System.Object, _
       ByRef ppoRetData() As EdmRevComponent2 _
    )

C# |
--- | ---

    void GetRevisionNumberComponents2(
       System.object oNameIDorEmpty,
       out EdmRevComponent2[] ppoRetData
    )

C++/CLI |
--- | ---

    void GetRevisionNumberComponents2(
    &   System.Object^ oNameIDorEmpty,
    &   [Out] array<EdmRevComponent2>^ ppoRetData
    )

#### Parameters

oNameIDorEmpty
  Name or ID of revision number component to retrieve, null to retrieve all components (see Remarks)
ppoRetData
  Array of EdmRevComponent2 structures; one structure for each revision number component

# Example

Find Revisions Using Component (C#)
Find Revisions Using Component (VB.NET)

# Remarks

If oNameIDorEmpty is a positive integer, it is interpreted as the ID of the component to retrieve. If it is a negative integer, it is interpreted as a revision number, and all components with that revision number are returned.

Return codes:

- S_OK: The method successfully executed.

# See Also

####

IEdmRevisionMgr2 Interface
IEdmRevisionMgr2 Members

# Availability

SOLIDWORKS PDM Professional 2007 SP03